﻿<?php
/*
Plugin Name: 	SocialBox
Plugin URI: 	http://codecanyon.net/item/socialbox-social-wordpress-widget/627127
Description: 	Adds a super easy Social Box Widget which displays the current numbers of Facebook Page Likes, Twitter, Dribbble, Forrst and Digg Followers and YouTube and Vimeo Channel and Feedburner Feed Subscriptions.
Version: 		1.2.1
Author: 		JonasDoebertin
Author URI: 	http://codecanyon.net/user/JonasDoebertin
License: 		Sold exclusively on CodeCanyon
*/
?>

<div class="socialbox-options">

	<!-- General Settings -->
	<fieldset class="widefat socialbox-general">
		
		<legend><?php _e('General Settings', self::SLUG); ?></legend>
		
		<p>
			<!-- Open New Window -->
			<input type="checkbox" id="<?php echo $this->get_field_id('new_window'); ?>" name="<?php echo $this->get_field_name('new_window'); ?>" <?php if ($instance['new_window']) echo 'checked="checked"'; ?> class="checkbox" />
			<label for="<?php echo $this->get_field_id('new_window'); ?>"><?php _e('باز کردن پیوندها در پنجره/تب جدید', self::SLUG); ?></label>
			<br /><small><?php _e('پیوندها در یک پنجره/تب جدید باز خواهند شد', self::SLUG); ?></small>
		</p>
		
		<p>
			<!-- Show Buttons -->
			<input type="checkbox" id="<?php echo $this->get_field_id('show_buttons'); ?>" name="<?php echo $this->get_field_name('show_buttons'); ?>" <?php if ($instance['show_buttons']) echo 'checked="checked"'; ?> class="checkbox" />
			<label for="<?php echo $this->get_field_id('show_buttons'); ?>"><?php _e('نمایش دکمه‌ها', self::SLUG); ?></label>
			<br /><small><?php _e('نمایش دکمه‌های دنبال‌کردن/اشتراک', self::SLUG); ?></small>
		</p>
		
	</fieldset>
	
	<!-- Facebook -->
	<fieldset class="widefat">
		
		<legend><?php _e('Facebook', self::SLUG); ?></legend>
		
		<!-- ID -->
		<div class="socialbox-id">
			<label for="<?php echo $this->get_field_id('facebook_id'); ?>" title="<?php _e('شناسه یا نام کوتاه صفحه شما (مانند 20script)', self::SLUG); ?>"><?php _e('نام/شناسه صفحه:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('facebook_id'); ?>" name="<?php echo $this->get_field_name('facebook_id'); ?>" value="<?php echo $instance['facebook_id']; ?>" class="widefat"  />
		</div>
		
		<!-- Default -->
		<div class="socialbox-default">
			<label for="<?php echo $this->get_field_id('facebook_default'); ?>" title="<?php _e('تعداد لایک پیشفرض شما', self::SLUG); ?>"><?php _e('پیشفرض:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('facebook_default'); ?>" name="<?php echo $this->get_field_name('facebook_default'); ?>" value="<?php echo $instance['facebook_default']; ?>" size="6" class="widefat" />
		</div>
		
		<!-- Position -->
		<div class="socialbox-position">
			<label for="<?php echo $this->get_field_id('facebook_position'); ?>" title="<?php _e('مکان نمایش', self::SLUG); ?>"><?php _e('مکان:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('facebook_position'); ?>" name="<?php echo $this->get_field_name('facebook_position'); ?>" value="<?php echo $instance['facebook_position']; ?>" size="2" class="widefat" />
		</div>
		
	</fieldset>
	
	<!-- Twitter -->
	<fieldset class="widefat">
		
		<legend><?php _e('Twitter', self::SLUG); ?></legend>
		
		<!-- ID -->
		<div class="socialbox-id">
			<label for="<?php echo $this->get_field_id('twitter_id'); ?>" title="<?php _e('شناسه توئیتر شما (مانند poufall)', self::SLUG); ?>"><?php _e('شناسه:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('twitter_id'); ?>" name="<?php echo $this->get_field_name('twitter_id'); ?>" value="<?php echo $instance['twitter_id']; ?>" class="widefat"  />
		</div>
		
		<!-- Default -->
		<div class="socialbox-default">
			<label for="<?php echo $this->get_field_id('twitter_default'); ?>" title="<?php _e('تعداد دنبال‌کننده پیشفرض شما', self::SLUG); ?>"><?php _e('پیشفرض:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('twitter_default'); ?>" name="<?php echo $this->get_field_name('twitter_default'); ?>" value="<?php echo $instance['twitter_default']; ?>" size="6" class="widefat" />
		</div>
		
		<!-- Position -->
		<div class="socialbox-position">
			<label for="<?php echo $this->get_field_id('twitter_position'); ?>" title="<?php _e('مکان نمایش', self::SLUG); ?>"><?php _e('مکان:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('twitter_position'); ?>" name="<?php echo $this->get_field_name('twitter_position'); ?>" value="<?php echo $instance['twitter_position']; ?>" size="2" class="widefat" />
		</div>
		
	</fieldset>
	
	<!-- YouTube -->
	<fieldset class="widefat">
		
		<legend><?php _e('YouTube', self::SLUG); ?></legend>
		
		<!-- ID -->
		<div class="socialbox-id">
			<label for="<?php echo $this->get_field_id('youtube_id'); ?>" title="<?php _e('کانال یوتیوب شما (مانند nettutsplus)', self::SLUG); ?>"><?php _e('کانال:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('youtube_id'); ?>" name="<?php echo $this->get_field_name('youtube_id'); ?>" value="<?php echo $instance['youtube_id']; ?>" class="widefat"  />
		</div>
		
		<!-- Default -->
		<div class="socialbox-default">
			<label for="<?php echo $this->get_field_id('youtube_default'); ?>" title="<?php _e('تعداد مشترک پیشفرض شما', self::SLUG); ?>"><?php _e('پیشفرض:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('youtube_default'); ?>" name="<?php echo $this->get_field_name('youtube_default'); ?>" value="<?php echo $instance['youtube_default']; ?>" size="6" class="widefat" />
		</div>
		
		<!-- Position -->
		<div class="socialbox-position">
			<label for="<?php echo $this->get_field_id('youtube_position'); ?>" title="<?php _e('مکان نمایش', self::SLUG); ?>"><?php _e('مکان:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('youtube_position'); ?>" name="<?php echo $this->get_field_name('youtube_position'); ?>" value="<?php echo $instance['youtube_position']; ?>" size="2" class="widefat" />
		</div>
		
	</fieldset>
	
	<!-- Vimeo -->
	<fieldset class="widefat">
		
		<legend><?php _e('Vimeo', self::SLUG); ?></legend>
		
		<!-- ID -->
		<div class="socialbox-id">
			<label for="<?php echo $this->get_field_id('vimeo_id'); ?>" title="<?php _e('کانال ویمئو شما', self::SLUG); ?>"><?php _e('کانال:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('vimeo_id'); ?>" name="<?php echo $this->get_field_name('vimeo_id'); ?>" value="<?php echo $instance['vimeo_id']; ?>" class="widefat"  />
		</div>
		
		<!-- Default -->
		<div class="socialbox-default">
			<label for="<?php echo $this->get_field_id('vimeo_default'); ?>" title="<?php _e('تعداد مشترک پیشفرض شما', self::SLUG); ?>"><?php _e('پیشفرض:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('vimeo_default'); ?>" name="<?php echo $this->get_field_name('vimeo_default'); ?>" value="<?php echo $instance['vimeo_default']; ?>" size="6" class="widefat" />
		</div>
		
		<!-- Position -->
		<div class="socialbox-position">
			<label for="<?php echo $this->get_field_id('vimeo_position'); ?>" title="<?php _e('مکان نمایش', self::SLUG); ?>"><?php _e('مکان:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('vimeo_position'); ?>" name="<?php echo $this->get_field_name('vimeo_position'); ?>" value="<?php echo $instance['vimeo_position']; ?>" size="2" class="widefat" />
		</div>
		
	</fieldset>
	
	<!-- Feedburner -->
	<fieldset class="widefat">
		
		<legend><?php _e('Feedburner', self::SLUG); ?></legend>
		
		<!-- ID -->
		<div class="socialbox-id">
			<label for="<?php echo $this->get_field_id('feedburner_id'); ?>" title="<?php _e('نان خوراک فیدبرنر شما (مانند 20script)', self::SLUG); ?>"><?php _e('نام خوراک:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('feedburner_id'); ?>" name="<?php echo $this->get_field_name('feedburner_id'); ?>" value="<?php echo $instance['feedburner_id']; ?>" class="widefat"  />
		</div>
		
		<!-- Default -->
		<div class="socialbox-default">
			<label for="<?php echo $this->get_field_id('feedburner_default'); ?>" title="<?php _e('تعداد مشترک پیشفرض شما', self::SLUG); ?>"><?php _e('پیشفرض:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('feedburner_default'); ?>" name="<?php echo $this->get_field_name('feedburner_default'); ?>" value="<?php echo $instance['feedburner_default']; ?>" size="6" class="widefat" />
		</div>
		
		<!-- Position -->
		<div class="socialbox-position">
			<label for="<?php echo $this->get_field_id('feedburner_position'); ?>" title="<?php _e('مکان نمایش', self::SLUG); ?>"><?php _e('مکان:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('feedburner_position'); ?>" name="<?php echo $this->get_field_name('feedburner_position'); ?>" value="<?php echo $instance['feedburner_position']; ?>" size="2" class="widefat" />
		</div>
		
	</fieldset>
	
	<!-- Dribbble -->
	<fieldset class="widefat">
		
		<legend><?php _e('Dribbble', self::SLUG); ?></legend>
		
		<!-- ID -->
		<div class="socialbox-id">
			<label for="<?php echo $this->get_field_id('dribbble_id'); ?>" title="<?php _e('شناسه Dribbble شما (مانند envato)', self::SLUG); ?>"><?php _e('شناسه:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('dribbble_id'); ?>" name="<?php echo $this->get_field_name('dribbble_id'); ?>" value="<?php echo $instance['dribbble_id']; ?>" class="widefat"  />
		</div>
		
		<!-- Default -->
		<div class="socialbox-default">
			<label for="<?php echo $this->get_field_id('dribbble_default'); ?>" title="<?php _e('تعداد دنبال‌کننده پیشفرض شما', self::SLUG); ?>"><?php _e('پیشفرض:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('dribbble_default'); ?>" name="<?php echo $this->get_field_name('dribbble_default'); ?>" value="<?php echo $instance['dribbble_default']; ?>" size="6" class="widefat" />
		</div>
		
		<!-- Position -->
		<div class="socialbox-position">
			<label for="<?php echo $this->get_field_id('dribbble_position'); ?>" title="<?php _e('مکان نمایش', self::SLUG); ?>"><?php _e('مکان:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('dribbble_position'); ?>" name="<?php echo $this->get_field_name('dribbble_position'); ?>" value="<?php echo $instance['dribbble_position']; ?>" size="2" class="widefat" />
		</div>
		
	</fieldset>
	
	<!-- Forrst -->
	<fieldset class="widefat">
		
		<legend><?php _e('Forrst', self::SLUG); ?></legend>
		
		<!-- ID -->
		<div class="socialbox-id">
			<label for="<?php echo $this->get_field_id('forrst_id'); ?>" title="<?php _e('شناسه Forrst شما', self::SLUG); ?>"><?php _e('شناسه:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('forrst_id'); ?>" name="<?php echo $this->get_field_name('forrst_id'); ?>" value="<?php echo $instance['forrst_id']; ?>" class="widefat"  />
		</div>
		
		<!-- Default -->
		<div class="socialbox-default">
			<label for="<?php echo $this->get_field_id('forrst_default'); ?>" title="<?php _e('تعداد دنبال‌کننده پیشفرض شما', self::SLUG); ?>"><?php _e('پیشفرض:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('forrst_default'); ?>" name="<?php echo $this->get_field_name('forrst_default'); ?>" value="<?php echo $instance['forrst_default']; ?>" size="6" class="widefat" />
		</div>
		
		<!-- Position -->
		<div class="socialbox-position">
			<label for="<?php echo $this->get_field_id('forrst_position'); ?>" title="<?php _e('مکان نمایش', self::SLUG); ?>"><?php _e('مکان:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('forrst_position'); ?>" name="<?php echo $this->get_field_name('forrst_position'); ?>" value="<?php echo $instance['forrst_position']; ?>" size="2" class="widefat" />
		</div>
		
	</fieldset>
	
	<!-- Digg -->
	<fieldset class="widefat">
		
		<legend><?php _e('Digg', self::SLUG); ?></legend>
		
		<!-- ID -->
		<div class="socialbox-id">
			<label for="<?php echo $this->get_field_id('digg_id'); ?>" title="<?php _e('شناسه Digg شما', self::SLUG); ?>"><?php _e('شناسه:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('digg_id'); ?>" name="<?php echo $this->get_field_name('digg_id'); ?>" value="<?php echo $instance['digg_id']; ?>" class="widefat"  />
		</div>
		
		<!-- Default -->
		<div class="socialbox-default">
			<label for="<?php echo $this->get_field_id('digg_default'); ?>" title="<?php _e('تعداد دنبال‌کننده پیشفرض شما', self::SLUG); ?>"><?php _e('پیشفرض:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('digg_default'); ?>" name="<?php echo $this->get_field_name('digg_default'); ?>" value="<?php echo $instance['digg_default']; ?>" size="6" class="widefat" />
		</div>
		
		<!-- Position -->
		<div class="socialbox-position">
			<label for="<?php echo $this->get_field_id('digg_position'); ?>" title="<?php _e('مکان نمایش', self::SLUG); ?>"><?php _e('مکان:', self::SLUG); ?></label>
			<input type="text" id="<?php echo $this->get_field_id('digg_position'); ?>" name="<?php echo $this->get_field_name('digg_position'); ?>" value="<?php echo $instance['digg_position']; ?>" size="2" class="widefat" />
		</div>
		
	</fieldset>

</div>